#include <iostream>
#include <Wt/WApplication>
#include <Wt/WBootstrapTheme>
#include <Wt/WServer>
#include "widget.h"
using namespace Wt;

WApplication *createApplication( const WEnvironment& env )
{
  WApplication *app = new WApplication( env );
  WBootstrapTheme *theme = new WBootstrapTheme( app );
  theme->setVersion( Wt::WBootstrapTheme::Version3 );
  app->setTheme( theme );
  app->root()->addWidget( new Widget( app->root() ) );
  return app;
}

int main(int argc, char **argv)
{
  try {
    WString::setDefaultEncoding( UTF8 );
    WServer server( argv[0], "./wt_config.xml" );
    server.setServerConfiguration( argc, argv, WTHTTP_CONFIGURATION );
    server.logger().configure("* -debug -info -warning");
    server.addEntryPoint( Application, createApplication );
    if ( server.start() ) {
      WServer::waitForShutdown();
      server.stop();
    }
  }
  catch ( ... ) {}
}

